ghtRobMoments {fBasics} | R Documentation

## Robust Moments for the GHT

### Description

Computes the first four robust moments for the generalized hyperbolic Student-t.

### Usage

    ghtMED(beta = 0.1, delta = 1, mu = 0, nu = 10)
    ghtIQR(beta = 0.1, delta = 1, mu = 0, nu = 10)
    ghtSKEW(beta = 0.1, delta = 1, mu = 0, nu = 10)
    ghtKURT(beta = 0.1, delta = 1, mu = 0, nu = 10)

### Arguments

`beta, delta, mu` | numeric values. `beta` is the skewness parameter in the range `(0, alpha)`; `delta` is the scale parameter, must be zero or positive; `mu` is the location parameter, by default 0. These are the parameters in the first parameterization.
`nu` | a numeric value, the number of degrees of freedom. Note, `alpha` takes the limit of `abs(beta)`, and `lambda=-nu/2`.

### Value

All values for the `*ght` functions are numeric vectors: `d*` returns the density, `p*` returns the distribution function, `q*` returns the quantile function, and `r*` generates random deviates.

All values have attributes named `"param"` listing the values of the distributional parameters.

### Author(s)

Diethelm Wuertz.

### Examples

    ## ghtMED -
       # Median:
       ghtMED(beta = 0.1, delta = 1, mu = 0, nu = 10)

    ## ghtIQR -
       # Inter-quartile Range:
       ghtIQR(beta = 0.1, delta = 1, mu = 0, nu = 10)

    ## ghtSKEW -
       # Robust Skewness:
       ghtSKEW(beta = 0.1, delta = 1, mu = 0, nu = 10)

    ## ghtKURT -
       # Robust Kurtosis:
       ghtKURT(beta = 0.1, delta = 1, mu = 0, nu = 10)

[Package fBasics version 3042.89 Index]